# Generated by Django 2.1.2 on 2018-11-14 12:47

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('birth_date', models.DateField(blank=True, null=True)),
                ('graduation_course', models.CharField(max_length=30)),
                ('graduation_period', models.IntegerField(blank=True, null=True)),
                ('profile_image', models.ImageField(blank=True, upload_to='./TheCircleApp/ImagensPerfil')),
                ('know', models.ManyToManyField(blank=True, to='TheCircleApp.Profile')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
